import json
import random
from datetime import datetime
CURRENT_MONTH = 0
SEASON = "WIN"

class climatic(object):
    """docstring for climatic."""
    def __init__(self, unit, value):
        self.unit = unit
        self.value = value
        self.dic = { "unit": self.unit, "value": self.value }
        self.json = json.dumps(self.dic)

def getSeason():
    CURRENT_MONTH = datetime.now().month
    if CURRENT_MONTH in (12,1,2):
        SEASON = "WIN"
    elif CURRENT_MONTH in (9,10,11):
        SEASON = "AUT"
    elif CURRENT_MONTH in (6,7,8):
        SEASON = "SUM"
    elif CURRENT_MONTH in (3,4,5):
        SEASON = "SPR"


def getTemperature():
    unit="C"
    if SEASON == "WIN":
        return climatic(unit,random.uniform(7.4, 14.1))
    elif SEASON == "AUT":
        return climatic(unit,random.uniform(14.4, 20.9))
    elif SEASON == "SUM":
        return climatic(unit,random.uniform(20.2, 27.5))
    elif SEASON == "SPR":
        return climatic(unit,random.uniform(13.8, 21.7))
    else:
        return climatic(unit,random.uniform(20.2, 27.5))

def getRandBool():
    return bool(random.getrandbits(1))

getSeason()
