models = {
    "JoinAccept":{
        "fields":[
            {"MHDR":"MHDR"},
            {"AppNonce":3},
            {"NetID":3},
            {"DevAddr":4},
            {"DLSettings":1},
            {"RxDelay":1},
            {"CFList":16},
            {"MIC":"MIC"}
        ]
    },
    "DownLink":{
        "fields":[
            {"MHDR":"MHDR"},
            {"MIC":"MIC"},
            {"DevAddr":4},
            {"FCtrl":1},
            {"FCnt":2},
            {"FPort":1},
            {"FRMPayload":"-"}
        ]
    }
}

frameModels = {
    "FrameDef": {
        "MHDR" : {
            "MType" : "Unconfirmed Data Up"
        },
        "MACPayload" : {
            "FHDR": {
                "DevAddr": "",
                "FCtrl": {
                    "ADR": False,
                    "ACK": False,
                    "ADRACKReq": False,
                    "FPending": False
                },
                "FCnt":0,
                "FOpts":""
            },
            "FPort": 0,
            "FRMPayload": ""
        },
        "MIC":""
    }
}
